Bug 1000378 - [abrt] calibre-0.9.42-1.fc19: split.py:446:split_to_size:SplitError: Could not find reasonable point at which to split: Programming_Python.html Sub-tree size: 368 KB
[abrt] calibre-0.9.42-1.fc19: split.py:446:split_to_size:SplitError: Could no...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:692806b777f96ad4b75089162ad...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 06:31 EDT by Yang Lifu
Modified: 2015-02-18 06:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:24:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.05 KB, text/plain)
2013-08-23 06:31 EDT, Yang Lifu
no flags Details
File: environ (1.86 KB, text/plain)
2013-08-23 06:31 EDT, Yang Lifu
no flags Details

  None (edit)
Description Yang Lifu 2013-08-23 06:31:26 EDT
Description of problem:
I was trying to convert a .mobi file to .epub format. 

Version-Release number of selected component:
calibre-0.9.42-1.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        python2 /usr/bin/calibre-parallel
executable:     /usr/bin/calibre-parallel
kernel:         3.10.7-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
split.py:446:split_to_size:SplitError: Could not find reasonable point at which to split: Programming_Python.html Sub-tree size: 368 KB

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 20, in <module>
    sys.exit(main())
  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 188, in main
    result = func(*args, **kwargs)
  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 31, in gui_convert_override
    override_input_metadata=True)
  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
    plumber.run()
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 1177, in run
    self.opts, self.log)
  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/epub_output.py", line 198, in convert
    split(self.oeb, self.opts)
  File "/usr/lib64/calibre/calibre/ebooks/oeb/transforms/split.py", line 59, in __call__
    self.split_item(item)
  File "/usr/lib64/calibre/calibre/ebooks/oeb/transforms/split.py", line 69, in split_item
    self.max_flow_size, self.oeb, self.opts)
  File "/usr/lib64/calibre/calibre/ebooks/oeb/transforms/split.py", line 213, in __init__
    self.split_to_size(tree)
  File "/usr/lib64/calibre/calibre/ebooks/oeb/transforms/split.py", line 453, in split_to_size
    self.split_to_size(tree)
  File "/usr/lib64/calibre/calibre/ebooks/oeb/transforms/split.py", line 453, in split_to_size
    self.split_to_size(tree)
  File "/usr/lib64/calibre/calibre/ebooks/oeb/transforms/split.py", line 453, in split_to_size
    self.split_to_size(tree)
  File "/usr/lib64/calibre/calibre/ebooks/oeb/transforms/split.py", line 446, in split_to_size
    raise SplitError(self.item.href, root)
SplitError: Could not find reasonable point at which to split: Programming_Python.html Sub-tree size: 368 KB

Local variables in innermost frame:
split_point: None
tree: <lxml.etree._ElementTree object at 0x16796050>
self: <calibre.ebooks.oeb.transforms.split.FlowSplitter object at 0x16ffe190>
root: <Element {http://www.w3.org/1999/xhtml}html at 0x14c78780>
before: True
Comment 1 Yang Lifu 2013-08-23 06:31:31 EDT
Created attachment 789546 [details]
File: backtrace
Comment 2 Yang Lifu 2013-08-23 06:31:35 EDT
Created attachment 789547 [details]
File: environ
Comment 3 Kevin Fenzi 2013-08-23 23:14:50 EDT
This is usually cased by a html file that has a single section thats too long and it can't tell where to split it. ;( 

Can you try editing as suggested in: 

http://www.mobileread.com/forums/showthread.php?t=53311
or
http://www.mobileread.com/forums/showthread.php?t=57944

or use a different format of the orig document?
Comment 4 Fedora End Of Life 2015-01-09 17:15:58 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-18 06:24:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.